A transcription in the test suite of a very simple test upon some free functions.

It would be better to redo them completely more thoroughly, but in the meanwhile adapting the existing one is
till better than simply remove it.

